[arch-commits] Commit in gdb/repos (6 files)
Anatol Pomozov
anatolik at archlinux.org
Wed Oct 29 23:09:01 UTC 2014
Date: Thursday, October 30, 2014 @ 00:09:01
Author: anatolik
Revision: 225456
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gdb/repos/testing-i686/
gdb/repos/testing-i686/PKGBUILD
(from rev 225455, gdb/trunk/PKGBUILD)
gdb/repos/testing-i686/gdb.install
(from rev 225455, gdb/trunk/gdb.install)
gdb/repos/testing-x86_64/
gdb/repos/testing-x86_64/PKGBUILD
(from rev 225455, gdb/trunk/PKGBUILD)
gdb/repos/testing-x86_64/gdb.install
(from rev 225455, gdb/trunk/gdb.install)
----------------------------+
testing-i686/PKGBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++
testing-i686/gdb.install | 20 +++++++++++++++++
testing-x86_64/PKGBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/gdb.install | 20 +++++++++++++++++
4 files changed, 140 insertions(+)
Copied: gdb/repos/testing-i686/PKGBUILD (from rev 225455, gdb/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2014-10-29 23:09:01 UTC (rev 225456)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gdb
+pkgver=7.8.1
+pkgrel=1
+pkgdesc="The GNU Debugger"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gdb/"
+license=('GPL3')
+depends=('ncurses' 'expat' 'python2' 'xz')
+makedepends=('texinfo')
+backup=('etc/gdb/gdbinit')
+install=gdb.install
+source=(http://ftp.gnu.org/gnu/gdb/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('8072be87a94be0936bc3b4b6941b0862'
+ 'SKIP')
+
+prepare() {
+ cd ${pkgname}-${pkgver}
+
+ # hack! - libiberty configure tests for header files using "$CPP $CPPFLAGS"
+ sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+ cd ${pkgname}-${pkgver}
+
+ # guile support has a severe bug https://sourceware.org/bugzilla/show_bug.cgi?id=17247
+ ./configure --prefix=/usr --disable-nls \
+ --with-system-readline \
+ --with-python=/usr/bin/python2 \
+ --with-system-gdbinit=/etc/gdb/gdbinit \
+ --without-guile
+ make
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+
+ # install "custom" system gdbinit
+ install -dm755 $pkgdir/etc/gdb
+ touch $pkgdir/etc/gdb/gdbinit
+
+ # resolve conflicts with binutils
+ rm ${pkgdir}/usr/include/{ansidecl,bfd,bfdlink,dis-asm,symcat}.h
+ rm ${pkgdir}/usr/share/info/{bfd,configure,standards}.info
+}
Copied: gdb/repos/testing-i686/gdb.install (from rev 225455, gdb/trunk/gdb.install)
===================================================================
--- testing-i686/gdb.install (rev 0)
+++ testing-i686/gdb.install 2014-10-29 23:09:01 UTC (rev 225456)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(annotate.info gdb.info{,-{1,2,3,4,5,6}} stabs.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
Copied: gdb/repos/testing-x86_64/PKGBUILD (from rev 225455, gdb/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2014-10-29 23:09:01 UTC (rev 225456)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gdb
+pkgver=7.8.1
+pkgrel=1
+pkgdesc="The GNU Debugger"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gdb/"
+license=('GPL3')
+depends=('ncurses' 'expat' 'python2' 'xz')
+makedepends=('texinfo')
+backup=('etc/gdb/gdbinit')
+install=gdb.install
+source=(http://ftp.gnu.org/gnu/gdb/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('8072be87a94be0936bc3b4b6941b0862'
+ 'SKIP')
+
+prepare() {
+ cd ${pkgname}-${pkgver}
+
+ # hack! - libiberty configure tests for header files using "$CPP $CPPFLAGS"
+ sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+ cd ${pkgname}-${pkgver}
+
+ # guile support has a severe bug https://sourceware.org/bugzilla/show_bug.cgi?id=17247
+ ./configure --prefix=/usr --disable-nls \
+ --with-system-readline \
+ --with-python=/usr/bin/python2 \
+ --with-system-gdbinit=/etc/gdb/gdbinit \
+ --without-guile
+ make
+}
+
+package() {
+ cd ${pkgname}-${pkgver}
+ make DESTDIR=${pkgdir} install
+
+ # install "custom" system gdbinit
+ install -dm755 $pkgdir/etc/gdb
+ touch $pkgdir/etc/gdb/gdbinit
+
+ # resolve conflicts with binutils
+ rm ${pkgdir}/usr/include/{ansidecl,bfd,bfdlink,dis-asm,symcat}.h
+ rm ${pkgdir}/usr/share/info/{bfd,configure,standards}.info
+}
Copied: gdb/repos/testing-x86_64/gdb.install (from rev 225455, gdb/trunk/gdb.install)
===================================================================
--- testing-x86_64/gdb.install (rev 0)
+++ testing-x86_64/gdb.install 2014-10-29 23:09:01 UTC (rev 225456)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(annotate.info gdb.info{,-{1,2,3,4,5,6}} stabs.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list